var u = Object.defineProperty;
var a = (t, e) => u(t, "name", { value: e, configurable: !0 });
import { Message as c } from "../message.js";
function m(t, e, f, i) {
  var s;
  const l = (s = i?.localName) !== null && s !== void 0 ? s : e.substring(e.lastIndexOf(".") + 1), o = {
    [l]: function(n) {
      t.util.initFields(this), t.util.initPartial(n, this);
    }
  }[l];
  return Object.setPrototypeOf(o.prototype, new c()), Object.assign(o, {
    runtime: t,
    typeName: e,
    fields: t.util.newFieldList(f),
    fromBinary(n, r) {
      return new o().fromBinary(n, r);
    },
    fromJson(n, r) {
      return new o().fromJson(n, r);
    },
    fromJsonString(n, r) {
      return new o().fromJsonString(n, r);
    },
    equals(n, r) {
      return t.util.equals(o, n, r);
    }
  }), o;
}
a(m, "makeMessageType");
export {
  m as makeMessageType
};
